diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
index f72ae09..ca3be16 100644
--- a/books/bookvol7.pamphlet
+++ b/books/bookvol7.pamphlet
@@ -8598,6 +8598,20 @@ static void handleButton(int button, XButtonEvent * event) {
     HyperLink *link;
     HyperDocPage *page = NULL;
     char *page_name;
+
+    /* handle mouse wheel (Gregory Vanuxem) */    
+    if (event->window == gWindow->fMainWindow ||
+        event->window == gWindow->fScrollWindow) {
+      if (button == 4) {
+        scrollUp();
+        return;
+      }
+      else if (button == 5) {
+        scrollDown();
+        return;
+      }
+    }
+
     /* find page name from sub-window handle */
     link = getHyperLink(event);
     if (link == NULL) {       /* user clicked on an inactive area */
diff --git a/changelog b/changelog
index 3779e6a..49034fa 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080715 gxv books/bookvol7 add scroll wheel handling
 20080715 tpd src/Makefile add bookvol7.1
 20080715 tpd books/bookvol7 move htadd to bookvol7.1
 20080715 tpd books/bookvol7.1 construct hypertex pages
